Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 768300 (CVE-2020-28493)

Summary: <dev-python/jinja-2.11.3: ReDOS vulnerability due to the sub-pattern (CVE-2020-28493)
Product: Gentoo Security Reporter: Sam James <sam>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: mgorny, python
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: B3 [glsa+ cve]
Package list:
Runtime testing required: ---

Description Sam James archtester gentoo-dev Security 2021-02-02 04:14:19 UTC
Description:
"This affects the package jinja2 from 0.0.0 and before 2.11.3. The ReDOS vulnerability of the regex is mainly due to the sub-pattern [a-zA-Z0-9._-]+.[a-zA-Z0-9._-]+ This issue can be mitigated by Markdown to format user content instead of the urlize filter, or by implementing request timeouts and limiting process memory."

https://github.com/pallets/jinja/pull/1343
Comment 1 Sam James archtester gentoo-dev Security 2021-02-03 00:02:57 UTC
amd64 arm arm64 hppa ppc ppc64 s390 sparc x86 (ALLARCHES) done

all arches done
Comment 2 Sam James archtester gentoo-dev Security 2021-02-03 00:21:15 UTC
Please cleanup, thanks!
Comment 3 Larry the Git Cow gentoo-dev 2021-02-03 01:00:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb398df7b14466404f4c768e7527c7f5dcb053c9

commit eb398df7b14466404f4c768e7527c7f5dcb053c9
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2021-02-03 01:00:09 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2021-02-03 01:00:15 +0000

    dev-python/jinja: Remove old
    
    Bug: https://bugs.gentoo.org/768300
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/jinja/Manifest               |  1 -
 dev-python/jinja/jinja-2.11.2-r1.ebuild | 68 ---------------------------------
 2 files changed, 69 deletions(-)
Comment 4 Thomas Deutschmann gentoo-dev Security 2021-05-31 21:46:17 UTC
New GLSA request filed.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2021-07-08 04:11:42 UTC
This issue was resolved and addressed in
 GLSA 202107-19 at https://security.gentoo.org/glsa/202107-19
by GLSA coordinator John Helmert III (ajak).
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2021-07-08 13:49:24 UTC
This issue was resolved and addressed in
 GLSA 202107-19 at https://security.gentoo.org/glsa/202107-19
by GLSA coordinator John Helmert III (ajak).